ONVIF::Analytics::Types::DeviceEntity(3)

NAME
ONVIF::Analytics::Types::DeviceEntity

DESCRIPTION
Perl data type class for the XML Schema defined complexType DeviceEntity from the namespace http://www.onvif.org/ver10/schema.

Base class for physical entities like inputs and outputs.

  PROPERTIES
The following properties may be accessed using get_PROPERTY / set_PROPERTY methods:

METHODS

  new
Constructor. The following data structure may be passed to new():

,

  attr
NOTE: Attribute documentation is experimental, and may be inaccurate. See the correspondent WSDL/XML Schema if in question.

This class has additional attributes, accessibly via the "attr()" method.

attr() returns an object of the class ONVIF::Analytics::Types::DeviceEntity::_DeviceEntity::XmlAttr.

The following attributes can be accessed on this object via the corresponding get_/set_ methods:

•   token

     Unique identifier referencing the physical entity.

    This attribute is of type ONVIF::Analytics::Types::ReferenceToken.

AUTHOR
Generated by SOAP::WSDL